> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List bot access

> Returns each AI bot and whether it can access the site.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/technical/bot-access
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/technical/bot-access:
    get:
      tags:
        - Technical analysis
      summary: List bot access
      description: Returns each AI bot and whether it can access the site.
      operationId: bot_access
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BotAccessResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    BotAccessResponse:
      type: object
      properties:
        bots:
          type: array
          items:
            $ref: '#/components/schemas/BotAccessDTO'
      required:
        - bots
    BotAccessDTO:
      type: object
      properties:
        bot:
          type: string
        platform:
          type: string
        access:
          $ref: '#/components/schemas/BotAccess'
        user_agent:
          type: string
          default: ''
        executes_javascript:
          type: boolean
          default: false
      required:
        - access
        - bot
        - platform
    BotAccess:
      enum:
        - allowed
        - blocked
        - unmentioned
      type: string
      description: |-
        * `allowed` - allowed
        * `blocked` - blocked
        * `unmentioned` - unmentioned
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.